var rpHideTimeOut;

function rpDownOneMenu(id) {
	var item = rpGetElementById(id);
	if (!item) return false;
	//var stateDisplay = item.style.display=='' || item.style.display=='block' ? false : true;
	//rpShowOrHide(id, stateDisplay);
	rpShowOrHide(id, 'true');
	item.style.zIndex = 111;
	return false;
}
function rpShowOrHide(id, to) {
	var item = rpGetElementById(id);
	if (item && item.style){
		if(item.style.display == 'block'){
			item.style.display = 'none';
		}else{
			item.style.display = to ? 'block' : 'none'
		}
	}
}

function rpGetElementById(id) {
	return document.all ? document.all[id] : document.getElementById(id);
}

function rpSetTimeOutDelay(id) {
	rpHideTimeOut = window.setTimeout("rpShowOrHide('"+id+"', false);", 500);
}
function rpClearTimeOutDelay() {
	window.clearTimeout(rpHideTimeOut);
}

function rpInitPanel() {
	var rSource = '';
	rSource += "<div onmouseover='rpClearTimeOutDelay()' onmouseout='rpSetTimeOutDelay(\"rpPublish\")'  class=\"rPanelMenu\" id='rpPublish' style=\"z-index:11;display:none;\">";
	rSource += "<a href='http://planet.park.rambler.ru/'>îÊÞÌÅÐÞ</a>";
	rSource += "<a href='http://foto.park.rambler.ru/'>òÍÐÍ</a>";
	rSource += "<a href='http://vision.park.rambler.ru/'>Vision</a>";
	rSource += "<a href='http://groups.park.rambler.ru/'>öÏÑÎÎØ</a>";
	rSource += "<a href='http://mail.rambler.ru/'>îÍÂÐÞ</a>";
	rSource += "</div>";
	rSource += "<a href=\"#\" onClick=\"return rpDownOneMenu('rpPublish');\">îÊÞÌÅÐÞ &darr;</a></li>";
	document.write(rSource);
}

